Package org.codehaus.groovy.control

# Class Janitor

java.lang.Object
org.codehaus.groovy.control.Janitor

All Implemented Interfaces:
  `HasCleanup`

public class Janitor extends Object implements HasCleanup
An agent that can be used to defer cleanup operations to a later time. Users much implement the HasCleanup interface.

Author:
  Chris Poirier

## Constructor Summary

Constructors
Constructor
Description
`Janitor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`cleanup()`
`void`
`register(HasCleanup object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Janitor

public Janitor()

## Method Details

### register

public void register(HasCleanup object)

### cleanup

public void cleanup()

Specified by:
  `cleanup` in interface `HasCleanup`